.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  opacity: 1;
  transition-property: opacity, transform;
  transition-duration: 1s;
  -webkit-backdrop-filter: blur(4px);
  backdrop-filter: blur(4px);
}
@media (min-width: 600px) {
  .header {
    -webkit-backdrop-filter: initial;
    backdrop-filter: initial;
  }
}
.header.is-hide {
  transform: translateY(-100%);
  opacity: 0;
}

.header__inner {
  width: 100%;
  height: calc(var(--rem) * 46);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 calc(var(--rem) * 30);
}

.header__logo {
  display: block;
  width: calc(var(--rem) * 101);
}
@media (hover: hover) and (pointer: fine) {
  .header__logo a:hover,
  .header__logo a:focus-visible {
    opacity: 0.5;
  }
}
.header__logo a:active {
  opacity: 0.5;
}

.header__button {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 0;
  background: none;
  border: none;
  pointer-events: all;
  width: calc(var(--rem) * 18);
  height: calc(var(--rem) * 14);
}
.header__button span {
  display: block;
  width: 100%;
  height: 2px;
  background: #005a64;
}

/* menu */
.menu {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 10000;
  font-family: "A1 Gothic L", sans-serif;
  font-weight: 300;
  color: #fffae1;
  transition: transform 0.4s;
  transform: translateX(100%);
}
.menu.is-open {
  transform: translateX(0);
}

.menu__inner {
  display: flex;
  align-items: flex-start;
  gap: 1px;
}

.menu__closeButton {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  width: calc(var(--rem) * 30);
  height: calc(var(--rem) * 30);
  background: rgba(0, 90, 100, 0.85);
  border: none;
}
.menu__closeButton span {
  display: block;
  width: calc(var(--rem) * 16);
  height: 1px;
  background: #fffae1;
  transform: rotate(45deg);
}
.menu__closeButton span:nth-child(2) {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-45deg);
}

.menu__body {
  display: grid;
  gap: 1px;
}

.menuList {
  display: grid;
  gap: 1px;
  margin: 0;
  padding: 0;
}

.menuList__item {
  height: calc(var(--rem) * 30);
  list-style-type: none;
  background: rgba(0, 90, 100, 0.9);
}
.menuList__item a {
  display: flex;
  align-items: center;
  gap: 0.5em;
  height: calc(var(--rem) * 30);
  padding: 0 calc(var(--rem) * 20);
  font-size: calc(var(--rem) * 12);
  text-decoration: none;
}
@media (hover: hover) and (pointer: fine) {
  .menuList__item a:hover,
  .menuList__item a:focus-visible {
    opacity: 0.6;
  }
}
.menuList__item a:active {
  opacity: 0.6;
}
.menuList__item a span {
  font-size: calc(var(--rem) * 14);
}
.menuList__item .icon {
  width: calc(var(--rem) * 16);
}
